%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Common Incloudsphere Python classes
Name: xcp-python-libs-incloudsphere
Version: 2.0.3
Release: 2
Source0: https://code.citrite.net/rest/archive/latest/projects/XS/repos/xcp-python-libs/archive?at=v%{version}&format=tar.gz&prefix=%{name}-%{version}#/%{name}-%{version}.tar.gz
License: GPL

Group: Applications/System
BuildArch: noarch

BuildRequires: python-devel python-setuptools
BuildRequires: branding-incloudsphere

Provides: xcp-python-libs = %{version}
Conflicts: xcp-python-libs-xenserver
Obsoletes: xcp-python-libs < 2.0.3
Obsoletes: xcp-python-libs-inspur

%description
Common Incloudsphere Python classes.

%prep
%autosetup -p1

%build
%{_usrsrc}/branding/branding-compile.py --format=python > xcp/branding.py
cat >>xcp/branding.py <<EOF
try:
    from oem_version import *
except ImportError:
    pass
EOF
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O2 --skip-build --root %{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{python_sitelib}


%changelog
* Wed Jan 31 2018 Owen Smith <owen.smith@citrix.com> - 2.0.3-2
- CA-281789: Bump release, so that Jura will include an updated package

* Mon Oct 16 2017 Simon Rowe <simon.rowe@citrix.com> - 2.0.3-1
- Fix typo in log message

* Tue Sep 26 2017 Kun Ma <kun.ma@citrix.com> - 2.0.2-1
- CA-263586: Add xcp-python-libs-incloudsphere
